NAME
	low_mapping_lookup - lookup a key in a mapping

SYNTAX
	#include "mapping.h"

	struct svalue *low_mapping_lookup(struct mapping *m,
	                                  struct svalue *key);

DESCRIPTION
	This function looks up the key-index pair that has the key 'key' in
	the mapping 'm' and returns a pointer to the 'value'. If no such
	key-index pair is found, zero is returned.

NOTA BENE
	Any call to an internal Pike function may re-allocate the mapping
	'm', which means that the pointer returned from this call is only
	valid until your next function call.

NOTA BENE
	This function is intended for _reading_ mappings, it is forbidden
	to change the contents of the returned svalue.

KEYWORDS
	mapping

SEE ALSO
	map_insert